Loading...
Searching...
No Matches
auth::RadiusManager::ServerSettings Struct Reference

Server settings. More...

## Public Attributes

string | id
| This field is unused; empty on read, ignored on write.
string | server
| IP or name of the radius servers.
string | sharedSecret
| Shared secret between the Xerus device and the RADIUS server.
int | udpAuthPort
| UDP port for RADIUS Authenticating service.
int | udpAccountPort
| UDP port for RADIUS Accounting service.
int | timeout
| Timeout in seconds.
int | retries
| Number of retries.
AuthType | authType
| Authentication type.
boolean | disableAccounting
| `true` to disable accounting, `false` to enable accounting
boolean | messageAuthenticatorOptional
| `true` if not requiring Message-Authenticator attribute in reply to Access-Request

## Detailed Description

Server settings.

Definition at line 20 of file RadiusManager.idl.

## Member Data Documentation

## authType

AuthType auth::RadiusManager::ServerSettings::authType

Authentication type.

Definition at line 28 of file RadiusManager.idl.

## disableAccounting

boolean auth::RadiusManager::ServerSettings::disableAccounting

`true` to disable accounting, `false` to enable accounting

Definition at line 29 of file RadiusManager.idl.

## id

string auth::RadiusManager::ServerSettings::id

This field is unused; empty on read, ignored on write.

Definition at line 21 of file RadiusManager.idl.

## messageAuthenticatorOptional

boolean auth::RadiusManager::ServerSettings::messageAuthenticatorOptional

`true` if not requiring Message-Authenticator attribute in reply to Access-Request

Definition at line 30 of file RadiusManager.idl.

## retries

int auth::RadiusManager::ServerSettings::retries

Number of retries.

Definition at line 27 of file RadiusManager.idl.

## server

string auth::RadiusManager::ServerSettings::server

IP or name of the radius servers.

Definition at line 22 of file RadiusManager.idl.

## sharedSecret

string auth::RadiusManager::ServerSettings::sharedSecret

Shared secret between the Xerus device and the RADIUS server.

Definition at line 23 of file RadiusManager.idl.

## timeout

int auth::RadiusManager::ServerSettings::timeout

Timeout in seconds.

Definition at line 26 of file RadiusManager.idl.

## udpAccountPort

int auth::RadiusManager::ServerSettings::udpAccountPort

UDP port for RADIUS Accounting service.

Definition at line 25 of file RadiusManager.idl.

## udpAuthPort

int auth::RadiusManager::ServerSettings::udpAuthPort

UDP port for RADIUS Authenticating service.

Definition at line 24 of file RadiusManager.idl.

The documentation for this struct was generated from the following file:

- RadiusManager.idl